Index: trunk/admin/modules/Elezioni/controllo_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/controllo_voti.php	(revision 161)
+++ trunk/admin/modules/Elezioni/controllo_voti.php	(revision 163)
@@ -159,5 +159,5 @@
 		$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli+$solol; #prova
 		$controllo2=$si+$no;
-		if($genere==5) #$validi+$nulli+$bianchi+$vcont+$vn 
+		if($genere==5 and !$votog) #$validi+$nulli+$bianchi+$vcont+$vn 
 			if($pag==0 and !$votog or $fascia<=$limite) {$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli+$solol;} else { $controllo1=$val_lista+$nulli+$bianchi+$contestati+$voti_nulli+$cont_lis+$vot_nul_lis+$solog;$controllo2=$si+$no-$solol+$cont_lis+$vot_nul_lis;}
 		if ($voti==$controllo1 and $validi==$controllo2 and !$g_err){
Index: trunk/admin/modules/Elezioni/ele_riepilogo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 161)
+++ trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 163)
@@ -43,5 +43,5 @@
 //**************************************************************************
  
-    global $prefix, $dbi,$fascia,$limite;
+    global $prefix, $dbi,$fascia,$limite,$genere,$votog;
 	$res = mysql_query("SELECT sum(maschi),sum(femmine) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
 	list($totm,$totf) = mysql_fetch_row($res);
@@ -65,6 +65,12 @@
 	$totnullil=$nullilista+$contestatilista;
 	echo "<fieldset><legend>"._VOTI_LISTA."</legend>";
-	echo "<table border=\"1\" width=\"100%\"><tr><th>"._VALIDI."</th><th>"._VOTINULLI."</th><th>"._CONTESTATI."</th><th>"._SOLO_GRUPPO."</th><th>"._TOTNON."</th></TR>";
-	ECHO "<TR><TH>".number_format($validilista,0,',','.')."</TH><TH>".number_format($nullilista,0,',','.')."</TH><TH>".number_format($contestatilista,0,',','.')."</TH><TH>".number_format($sg,0,',','.')."</TH><TH>".number_format($totnullil,0,',','.')."</TH></TR></table><br/>";
+	echo "<table border=\"1\" width=\"100%\"><tr><th>"._VALIDI."</th><th>"._VOTINULLI."</th><th>"._CONTESTATI."</th>";
+	if ($genere==5 and !$votog)
+		echo "<th>"._SOLO_GRUPPO."</th>";
+	echo "<th>"._TOTNON."</th></TR>";
+	ECHO "<TR><TH>".number_format($validilista,0,',','.')."</TH><TH>".number_format($nullilista,0,',','.')."</TH><TH>".number_format($contestatilista,0,',','.')."</TH>";
+	if($genere==5 and !$votog)
+		echo "<TH>".number_format($sg,0,',','.')."</TH>";
+	echo "<TH>".number_format($totnullil,0,',','.')."</TH></TR></table><br/>";
 	ECHO "</fieldset>";
 	echo "</center>";
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 161)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 163)
@@ -166,5 +166,5 @@
 					list($votils)=mysql_fetch_row($res4);
 					if($votils>0) {
-						if (($votils+$sologruppo+$contestatilista+$votinullilista)==($validi+$sololista) and $validilista==$votils)
+						if (($votils+$sologruppo+$votinullilista)==($validi+$sololista) and $validilista==$votils)
 							{$status=1;$ops=-3;}
 						else {return 3;}
@@ -545,6 +545,6 @@
 
 		if ((!$id_lista)){$tab="_ele_voti_lista";} else {$tab="_ele_voti_candidati";}
-if($genere==4 and !$id_lista)	
-		$result = mysql_query("SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati,t2.voti_nulli from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
+if(($genere==4 or ($genere==5 and $votog)) and !$id_lista)	
+		$result = mysql_query("SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
 else
 		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);