Index: /trunk/admin/modules/Elezioni/ele.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele.php	(revision 174)
+++ /trunk/admin/modules/Elezioni/ele.php	(revision 175)
@@ -176,6 +176,6 @@
 		if($op=="configurazione" || $op=="widget" || $op=="plugin"){ 
 		    echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - <a href=\"admin.php?op=widget&amp;id_cons_gen=$id_cons_gen\"> "._WIDGET."</a>";
-		    echo "<br/> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - "._PLUGINS."";
-		    echo "<hr/>";
+		    echo "<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - "._PLUGINS."";
+		    echo "<hr>";
 		}
 		echo "
@@ -280,5 +280,5 @@
 
 	if (file_exists("../client/modules.php"))
-	echo "<hr /><a href=\"../client/modules.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen\" target=\"_blank\">$bullet Guarda il sito</a><br /><hr />";
+	echo "<hr><a href=\"../client/modules.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen\" target=\"_blank\">$bullet Guarda il sito</a><br><hr>";
 
 	//echo "<hr /><a href=\"../client/modules.php\" target=\"_blank\">$bullet Guarda il sito</a><br /><hr />";
Index: /trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 174)
+++ /trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 175)
@@ -134,5 +134,5 @@
 		."<td align=\"left\"><b>$descr_gruppo</b></td>";
 		echo "<td align=\"center\"><b>
-		<img  src=\"admin.php?op=foto&amp;id_gruppo=$id_gruppo\" width=\"50\" heigth=\"50\"></b></td>";
+		<img  src=\"admin.php?op=foto&amp;id_gruppo=$id_gruppo\" width=\"50\" height=\"50\" alt=\"foto\"></b></td>";
 		if ($tipo_cons!=2) 
 			echo "<td>$prognome</td>"; 
@@ -140,9 +140,9 @@
 		echo "[<a
 		href=\"admin.php?op=gruppo&amp;do=modify&amp;id_gruppo=$id_gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;min=$min\"><img src=\"modules/Elezioni/images/edit.gif\"
-	 	border=\"0\" align=\"center\"> "._EDIT."</a>]";
+	 	border=\"0\" align=\"middle\" alt=\"edit\"> "._EDIT."</a>]";
 		if (!$numtemp)
-			echo "[<a href=\"admin.php?op=gruppo&amp;do=delete&amp;id_gruppo=$id_gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;descr_gruppo=$descr_gruppo&amp;min=$min\">"._DELETE." <img src=\"modules/Elezioni/images/delete.gif\" border=\"0\" align=\"center\"></a>]";
+			echo "[<a href=\"admin.php?op=gruppo&amp;do=delete&amp;id_gruppo=$id_gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;descr_gruppo=$descr_gruppo&amp;min=$min\">"._DELETE." <img src=\"modules/Elezioni/images/delete.gif\" border=\"0\" align=\"middle\" alt=\"delete\"></a>]";
 		else
-			echo " ["._DELETE." <img src=\"modules/Elezioni/images/delete.gif\" border=\"0\" align=\"center\"></a>]";
+			echo " ["._DELETE." <img src=\"modules/Elezioni/images/delete.gif\" border=\"0\" align=\"middle\" alt=\"delete\">]";
 		echo "</td></tr>";
     	}
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 174)
+++ /trunk/client/modules/Elezioni/index.php	(revision 175)
@@ -537,5 +537,6 @@
 	####################### inserimento scrutinio in percentuale -- per le liste
 	if ($genere>2 && $fascia>$limite){
-		$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+		if($votog) $resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+        else $resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
 		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
 #		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez in (select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez)  group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 174)
+++ /trunk/client/versione.php	(revision 175)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 173";
+$versione="2.0 rev 175";
 ?> 