Index: trunk/admin/config.php
===================================================================
--- trunk/admin/config.php	(revision 188)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?php
-/************************************************************************/
-/* Eleonline - Raccolta e diffusione dei dati elettorali                */
-/* by Roberto Gigli & Luciano Apolito                                   */
-/* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
-/************************************************************************/
-/* Config	                                                        */
-/* Amministrazione                                                      */
-/************************************************************************/
-
-if (eregi("config.php",$_SERVER['PHP_SELF'])) {
-        Header("Location: index.php");
-	die();
-}
-
-?>
Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 188)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 189)
@@ -39,8 +39,10 @@
 if (isset($_GET['chiusa'])) $chiusa=intval($_GET['chiusa']); else $chiusa='';
 if (isset($_GET['id_conf'])) $id_conf=intval($_GET['id_conf']);  else $id_conf=0;
+if (isset($_GET['idfascia'])) $idfascia=intval($_GET['idfascia']);  else $idfascia=0;
 if (isset($_GET['min'])) $min=intval($_GET['min']); else $min=0;
 if (isset($_GET['help'])) $help=intval($_GET['help']);
 if (isset($_GET['pwd4'])) $pwd4=intval($_GET['pwd4']);
 if (isset($_GET['preferenze'])) $preferenze=intval($_GET['preferenze']); else $preferenze=1;
+if (isset($_GET['vismf'])) $vismf=intval($_GET['vismf']); else $vismf=0;
 
 $offset=15;
@@ -53,5 +55,5 @@
 	//
 	function all() {
-	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze;
+	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf;
 $aid=$_SESSION['aid'];
 $dbi=$_SESSION['dbi'];
@@ -94,11 +96,14 @@
 	echo "<td bgcolor=\"$bgcolor1\"><b>"._DEFCOMUNE."</b></td>";
 	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\"><b>"._PREFERENZE."</b></td>";
-	echo "<td bgcolor=\"$bgcolor1\"><b>"._STATO."</b></td><td bgcolor=\"$bgcolor1\">";
-	if($tipo_cons==3)
-		echo "<b>"._CONF."</b>";
+	echo "<td bgcolor=\"$bgcolor1\"><b>"._STATO."</b></td>";
+	if($tipo_cons==3){
+		echo "<td bgcolor=\"$bgcolor1\"><b>"._CONF."</b></td>";
+		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FASCIA."</b></td>";
+		}
+	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VISAFFMF."</b></td>";
+#	echo "<input type=\"hidden\" name=\"pag_cons\" value=\"admin.php?op=associazioni&amp;id_cons_gen=\">";
+	echo "</tr>";
+	echo "<tr align=\"center\"><td>";
 	echo "<input type=\"hidden\" name=\"op\" value=\"associazioni\">";
-#	echo "<input type=\"hidden\" name=\"pag_cons\" value=\"admin.php?op=associazioni&amp;id_cons_gen=\">";
-	echo "</td></tr>";
-	echo "<tr align=\"center\"><td>";
 	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">$descr_cons</td>";
 #	$ressede = mysql_query("SELECT id_collegio, descrizione from ".$prefix."_ele_collegi where id_cons_gen='$id_cons_gen' order by descrizione desc", $dbi);
@@ -144,6 +149,11 @@
 	echo "</select></td>";
 	if($tipo_cons==3){
+		if($idcomune) {
+			$rescomu = mysql_query("SELECT id_fascia from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomune'", $dbi);
+			if($rescomu)
+				list($fasciacom)=mysql_fetch_row($rescomu);
+		} else $fasciacom=0;
 		$rescomu = mysql_query("SELECT id_conf, descrizione from ".$prefix."_ele_conf order by descrizione asc", $dbi);
-		echo "<td><select name=\"id_conf\">";
+		echo "<td><select name=\"id_conf\" id=\"id_conf\" onchange=\"javascript:showdate('modules/Elezioni/ele_desc_fasce.php?fascia=$fasciacom&id_conf=' + model.id_conf.options[model.id_conf.selectedIndex].value,'fasceconf');\">";
 		echo "<option value=\"0\"> ";
 		while(list($id,$descr_conf)=mysql_fetch_row($rescomu)){
@@ -153,6 +163,30 @@
 		}
 		echo "</select></td>";
+		if(!$id_conf) $id_conf=1;
+		$rescomu = mysql_query("SELECT id_fascia,abitanti from ".$prefix."_ele_fasce where id_conf='$id_conf'", $dbi);
+		
+		echo "<td id=\"fasceconf\"><select name=\"idfascia\">";
+		echo "<option value=\"0\"> ";
+		$inffascia=0;
+		while(list($id,$abitanti)=mysql_fetch_row($rescomu)){
+			$sel='';
+			if ($idcomune and $id == $fasciacom) $sel="selected"; elseif ($id==1) $sel="selected";
+			echo "<option value=\"$id\" $sel>$inffascia - $abitanti";
+			$inffascia=$abitanti;
+		}
+		echo "</select></td>";
+		
+		
 	}
 	unset($sel);
+	$rescomu = mysql_query("SELECT vismf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'", $dbi);
+	list($vismf)=mysql_fetch_row($rescomu);
+	echo "<td><select name=\"vismf\">";
+	if ($vismf==0) $sel="selected"; else $sel="";
+	echo "<option value=\"0\" $sel>No";
+	if ($vismf==1) $sel="selected"; else $sel="";
+	echo "<option value=\"1\" $sel>Si";
+	echo "</select></td>";
+
 	echo "<td><input type=\"hidden\" name=\"ok\" value=0>";
 	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">";
@@ -172,11 +206,14 @@
 ############
 	echo "<hr><br><table width=\"100%\" border=\"3\">";
-	echo "<tr align=\"center\"><td width=\"25%\" bgcolor=\"$bgcolor1\"><b>"._CONSULTA."</b></td>";
+	echo "<tr align=\"center\"><td width=\"15%\" bgcolor=\"$bgcolor1\"><b>"._CONSULTA."</b></td>";
 #	echo "<td bgcolor=\"$bgcolor1\"><b>"._COLLEGI."</b></td>";
-	echo "<td width=\"25%\" bgcolor=\"$bgcolor1\"><b>"._DEFCOMUNE."</b></td>";
+	echo "<td width=\"20%\" bgcolor=\"$bgcolor1\"><b>"._DEFCOMUNE."</b></td>";
 	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\"><b>"._PREFERENZE."</b></td>";
 	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\"><b>"._STATO."</b></td>";
-	if($tipo_cons==3)
-		echo "<td bgcolor=\"$bgcolor1\"><b>"._CONF."</b></td>";
+	if($tipo_cons==3){
+		echo "<td width=\"20%\" bgcolor=\"$bgcolor1\"><b>"._CONF."</b></td>";
+		echo "<td width=\"20%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FASCIA."</b></td>";
+		}
+	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VISAFFMF."</b></td>";
 	echo "<td width=\"10\" bgcolor=\"$bgcolor1\"><b>&nbsp;"._FUNZIONI."</td></tr>";
 ###############
@@ -185,11 +222,11 @@
 #	$resmod = mysql_query("SELECT t1.id_collegio,t1.id_comune,t2.descrizione as descr,t1.id_cons, t3.descrizione, t4.chiusa,t4.id_conf FROM ".$prefix."_ele_comu_collegi as t1, ".$prefix."_ele_collegi as t2, ".$prefix."_ele_comuni as t3, ".$prefix."_ele_cons_comune as t4 where t1.id_cons_gen='$id_cons_gen' and t1.id_collegio=t2.id_collegio and t1.id_comune=t3.id_comune and t1.id_comune=t4.id_comune and t2.id_cons_gen=t4.id_cons_gen order by t2.descrizione, t3.descrizione", $dbi);
 #	else
-	$resmod = mysql_query("SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf, preferenze FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione", $dbi);
-	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf,$preferenze2) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
+	$resmod = mysql_query("SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf, preferenze,t1.id_fascia,t1.vismf FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione", $dbi);
+	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf,$preferenze2,$fasciacom,$vismf) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
 		$resconf = mysql_query("SELECT descrizione FROM ".$prefix."_ele_conf where id_conf='$id_conf'", $dbi);
 		list($descr_conf) = mysql_fetch_row($resconf);
 		$i++;
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
-		echo "<tr><td colspan=\"6\">";
+		if($tipo_cons==3) echo "<tr><td colspan=\"8\">"; else echo "<tr><td colspan=\"6\">";
 		echo "<form name=\"modello$i\" action=\"admin.php\">"
 			."<input type=\"hidden\" name=\"op\" value=\"associazioni\">";
@@ -203,13 +240,25 @@
 		echo "<input type=\"hidden\" name=\"chiusa\" value=\"$chiusa\">";
 		echo "<table width=\"100%\"><tr align=\"center\" bgcolor=\"$bgcolor1\">";
-		echo "<td width=\"27%\"><b>$descr_cons</b></td>";
-		echo "<td width=\"27%\"><b>$descr_comu</b></td>";
-		echo "<td width=\"12%\"><b>$preferenze2</b></td>";
+		echo "<td width=\"15%\"><b>$descr_cons</b></td>";
+		echo "<td width=\"20%\"><b>$descr_comu</b></td>";
+		echo "<td width=\"10%\"><b>$preferenze2</b></td>";
 		$stato['0']=_ATTIVA;
 		$stato['1']=_CHIUSA;
 		$stato['2']=_NULLA;
-		echo "<td  width=\"11%\"><b>".$stato[$chiusa]."</b></td>";
-		if($tipo_cons==3)
-			echo "<td  width=\"25%\"><input type=\"hidden\" name=\"id_conf\" value=\"$id_conf\"><b>".$descr_conf."</b></td>";
+		echo "<td  width=\"10%\"><b>".$stato[$chiusa]."</b></td>";
+		if($tipo_cons==3){
+			echo "<td width=\"20%\"><input type=\"hidden\" name=\"id_conf\" value=\"$id_conf\"><b>".$descr_conf."</b></td>";
+			$rescomu = mysql_query("SELECT id_fascia,abitanti from ".$prefix."_ele_fasce where id_conf='$id_conf'", $dbi);
+			$inffascia=0;
+			while(list($id,$abitanti)=mysql_fetch_row($rescomu)){
+				$sel='';
+				if ($id == $fasciacom) 
+					echo "<td width=\"20%\">$inffascia - $abitanti</td>";
+				$inffascia=$abitanti;
+			}
+
+		}
+		if ($vismf==0) $sel=_NO; else $sel=_SI;
+		echo "<td width=\"10%\">$sel</td>";
 		echo "<td width=\"10\"><input type=\"hidden\" name=\"ok\" value=0><input type=\"submit\" name=\"edit$i\" value=\""._EDIT."\">"
 			."</td></tr></table></form></td></tr>\n";
@@ -222,5 +271,5 @@
 
 function associazioni($ok, $do,$descr_comu,$id_cons_comu,$id_collegio,$id_comune,$chiusa,$id_conf,$preferenze) {
-	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew,$pwd4;
+	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew,$pwd4,$idfascia,$vismf;
 	$delcons=0;
 	if ($do !="" and $id_cons_gen>0 and $idcomunenew>0) {
@@ -229,5 +278,5 @@
 			list($delcons)=mysql_fetch_row($rescomu);
 			if (!$max){			//se no la inserisce
-			$result = mysql_query("insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf,preferenze) values ('0','$idcomunenew','$id_cons_gen','$id_conf','$preferenze')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+			$result = mysql_query("insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf,preferenze,id_fascia,vismf) values ('0','$idcomunenew','$id_cons_gen','$id_conf','$preferenze','$idfascia','$vismf')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
 			$rescomu = mysql_query("SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'", $dbi);
 		list($id_cons_comu)=mysql_fetch_row($rescomu);
@@ -243,5 +292,5 @@
 			$result = mysql_query("update ".$prefix."_ele_comu_collegi set id_collegio= '$id_collegio' $newid where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi) || die(mysql_error());
 			if (!$result) return;
-			$result = mysql_query("update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa', preferenze='$preferenze' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi)|| die(mysql_error());
+			$result = mysql_query("update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa', preferenze='$preferenze',id_fascia='$idfascia',vismf='$vismf' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi)|| die(mysql_error());
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
 		}elseif ($do == "add") {
Index: trunk/admin/modules/Elezioni/ele_comuni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_comuni.php	(revision 188)
+++ trunk/admin/modules/Elezioni/ele_comuni.php	(revision 189)
@@ -56,5 +56,5 @@
 function all() {
 	global $bgcolor1, $bgcolor2, $prefix, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$email,$fasciatmp,$prov,$id_comune2,$id_cons_gen,$cerca;
- 
+ if( !isset($id_conf) ) $id_conf=1;
 	echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n";
 	echo "function controllo_id() {\n";
@@ -96,5 +96,5 @@
 	echo "<tr><td bgcolor=\"$bgcolor1\"><b>"._FASCIA."</b></td><td><select name=\"fascia\">";
 	$descr2="<";
-			$resopt1 = mysql_query("select id_fascia, abitanti from ".$prefix."_ele_fasce where data_fine='0000-00-00' order by id_fascia", $dbi);
+			$resopt1 = mysql_query("select id_fascia, abitanti from ".$prefix."_ele_fasce where id_conf=1 order by id_fascia", $dbi);
 		while(list($id,$descr)=mysql_fetch_row($resopt1)){
 			$selid= ($id == $fasciatmp) ? "selected":"";
@@ -149,8 +149,8 @@
 		echo "<td><b>$fax</b></td>";
 		echo "<td><b>".substr($email,0,15)."...</b></td>";
-		$resopt1 = mysql_query("select abitanti from ".$prefix."_ele_fasce where id_fascia=$fasciatmp and data_fine='0000-00-00'", $dbi);
+		$resopt1 = mysql_query("select abitanti from ".$prefix."_ele_fasce where id_fascia=$fasciatmp and id_conf=$id_conf", $dbi);
 		list($tmpfascia)=mysql_fetch_row($resopt1);
 		$fasciaref=$fasciatmp-1;
-		$resopt1 = mysql_query("select abitanti from ".$prefix."_ele_fasce where id_fascia=$fasciaref and data_fine='0000-00-00'", $dbi);
+		$resopt1 = mysql_query("select abitanti from ".$prefix."_ele_fasce where id_fascia=$fasciaref and id_conf=$id_conf", $dbi);
 		if(mysql_num_rows($resopt1)==0) $valfascia="< $tmpfascia";
 		else
Index: trunk/admin/modules/Elezioni/ele_desc_fasce.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_desc_fasce.php	(revision 189)
+++ trunk/admin/modules/Elezioni/ele_desc_fasce.php	(revision 189)
@@ -0,0 +1,32 @@
+<?php 
+
+/************************************************************************/
+/* Eleonline - Raccolta e diffusione dei dati elettorali                */
+/* by Roberto Gigli & Luciano Apolito                                   */
+/* http://www.eleonline.it                                              */
+/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/************************************************************************/
+/* Modulo Autorizzazione Comuni                                         */
+/* Amministrazione                                                      */
+/************************************************************************/
+if (isset($_GET['id_conf'])) $id_conf=intval($_GET['id_conf']);  else $id_conf=1;
+if (isset($_GET['fascia'])) $fasciacom=intval($_GET['fascia']);  else $fasciacom=0;
+include("../../config.php");
+		$dbi=mysql_connect($dbhost, $dbuname, $dbpass) or die("Connessione non riuscita: " . mysql_error());
+		mysql_select_db($dbname)or die("Connessione non riuscita:" . mysql_error());
+	mysql_query("SET NAMES 'utf8'", $dbi);
+			$rescomu = mysql_query("SELECT id_fascia,abitanti from ".$prefix."_ele_fasce where id_conf='$id_conf'", $dbi);
+		
+		echo "<select name=\"idfascia\">";
+		echo "<option value=\"0\"> ";
+		$inffascia=0;
+		while(list($id,$abitanti)=mysql_fetch_row($rescomu)){
+			$sel='';
+			if ($id == $fasciacom) $sel="selected"; elseif ($id==1) $sel="selected";
+			echo "<option value=\"$id\" $sel>$inffascia - $abitanti";
+			$inffascia=$abitanti;
+		}
+		echo "</select>";
+
+?>
+
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 188)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 189)
@@ -801,7 +801,9 @@
 function votanti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av){
 //function votanti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av){
- global $aid, $prefix, $dbi,$tipo_cons,$genere,$id_cons_gen,$vismf;
+ global $aid, $prefix, $dbi,$tipo_cons,$genere,$id_cons_gen;
 $bgcolor1=$_SESSION['bgcolor2'];
 OpenTable();
+$res = mysql_query("SELECT vismf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'", $dbi);
+if($res) list($vismf)= mysql_fetch_row($res); else $vismf=0;
 $res = mysql_query("SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data,orario ", $dbi);
 $num = mysql_num_rows($res);
@@ -810,5 +812,4 @@
 $y=0;
 echo "<tr><td>&nbsp;</td></tr>";
-if(!isset($vismf)) $vismf=0;
 while (list($ora,$giorno)= mysql_fetch_row($res)){
 	$y++;
Index: trunk/admin/modules/Elezioni/funzionidata.php
===================================================================
--- trunk/admin/modules/Elezioni/funzionidata.php	(revision 188)
+++ trunk/admin/modules/Elezioni/funzionidata.php	(revision 189)
@@ -109,2 +109,35 @@
 
 ?>
+
+<script type="text/javascript" language="JavaScript" >
+function showdate(str,posiz,tempo)
+{
+if (str=="")
+  {
+  document.getElementById(posiz).innerHTML="";
+  return;
+  }
+if (window.XMLHttpRequest)
+  {// code for IE7+, Firefox, Chrome, Opera, Safari
+  xmlhttp=new XMLHttpRequest();
+  }
+else
+  {// code for IE6, IE5
+  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
+  }
+xmlhttp.onreadystatechange=function()
+  {
+  if (xmlhttp.readyState==4 && xmlhttp.status==200 && posiz!=null)
+    {
+    document.getElementById(posiz).innerHTML=xmlhttp.responseText;
+    }
+  }
+xmlhttp.open("GET",str,true);
+xmlhttp.send();
+
+}
+</script>
+<?php
+#########################################
+
+?>
Index: trunk/admin/modules/Elezioni/language/it/ele_associazioni.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 188)
+++ trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 189)
@@ -13,5 +13,5 @@
 caso di consultazioni per l'elezione del consiglio comunale e' possibile
 assegnare una tra le modalita' di calcolo predefinite per
-l'assegnazione dei seggi di consiglio secondo il metodo D'Hondt.
+l'assegnazione dei seggi di consiglio secondo il metodo D'Hondt. Con "Affluenze per genere" si stabilisce se le rilevazioni delle affluenze dovranno essere sempre distinte per maschi e femmine o (impostandolo a "No") la distinzione deve essere limitata all'ultima rilevazione.
 Cliccando sul corrispondente pulsante "Edita", a destra nella linea del comune su cui si vuole intervenire, e' possibile <b>modificare lo stato</b> della consultazione in "Attiva", "Chiusa" o "Nulla" oppure si puo' <b>ELIMINARE</b> la consultazione relativa al singolo comune (click su "Edita" e poi spunta su "Elimina", appare una seconda checkbox che va spuntata se si vuole eliminare completamente la consultazione, se non viene spuntata si cancellano solo i dati dello spoglio, cioe' affluenze e voti, quindi impostare la combo di "Stato" su "Elimina"). Rimane inalterata l'impostazione generale della consultazione (tipologia, date e orari di rilevazione delle affluenze) e non viene modificato alcun dato relativo ad altri comuni.   
 
Index: trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-en.php	(revision 188)
+++ trunk/admin/modules/Elezioni/language/lang-en.php	(revision 189)
@@ -127,4 +127,5 @@
 define("_CIRCS","Constituencies");
 }
+define("_VISAFFMF","Gender votes");
 define("_DISGIUNTO","One ballot for two separate votes?");
 define("_RIEPILOGO","Totals");
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 188)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 189)
@@ -148,4 +148,5 @@
 define("_CIRCS","Circoscrizioni");
 }
+define("_VISAFFMF","Affluenze per genere");
 define("_DISGIUNTO","Unica scheda con voti indipendenti?");
 define("_RIEPILOGO","Scheda di riepilogo");
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 188)
+++ trunk/admin/versione.php	(revision 189)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 188";
+$versione="2.0 rev 189";
 ?> 