Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 224)
+++ trunk/admin/versione.php	(revision 225)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 224";
+$versione="2.0 rev 225";
 ?> 
Index: trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- trunk/client/modules/Elezioni/consiglieri.php	(revision 224)
+++ trunk/client/modules/Elezioni/consiglieri.php	(revision 225)
@@ -447,5 +447,5 @@
 	foreach($groups as $testk=>$valk) if($testk!=$gruppo) {$elencog[$testk]=$valk;}
 	$testseggio=calcoloseggi($elencog,floor($numcons*(100-$suppremio)/100),0);
-	foreach($testseggio as $testk=>$valk) {if($valk) $sindseggiopre[]=$testk; }
+	foreach($testseggio as $testk=>$valk) { $sindseggiopre[]=$testk;}
 ##################
 $descrsind=$desgruppi[$gruppo];
@@ -525,5 +525,5 @@
 	$testseggio=calcoloseggi($elencog,floor($numcons-$numcons*($suppremio)/100),0);
 	foreach($testseggio as $testk=>$valk) 
-	foreach($sindseggiopre as $testk=>$valk){ if(isset($testseggio[$valk]) and $testseggio[$valk]) continue; $sindseggio[$valk]=$testk;}
+	foreach($sindseggiopre as $testk=>$valk){ if(isset($testseggio[$valk]) and $testseggio[$valk]) continue; $sindseggio[$valk]=$valk;} #foreach ($sindseggiopre as $keyl=>$vall) echo "<br> seggi: $keyl - $vall";
 ########### 
     $sindaco[$gruppo]=$groups[$gruppo]; $groups[$gruppo]=0;
@@ -556,5 +556,5 @@
 if($grp==$gruppo){
 	$listdec =array(); 
-	$seggitmp=calcoloseggi($listemag,$val,1); ## foreach ($grpinc as $keyl=>$vall) echo "<br> seggi: $keyl - $vall";
+	$seggitmp=calcoloseggi($listemag,$val,1); 
 	foreach ($seggitmp as $keyl=>$vall){#echo "<br> lista: $vall - $keyl - $grp - $gruppo";
 	if($vall==0) continue; 
@@ -563,6 +563,7 @@
 		list($tempig)=mysql_fetch_row($res);
 		$res = mysql_query("SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'",$dbi);
-		list($tempng)=mysql_fetch_row($res); 
-		if (in_array($tempng,$sindseggio)) {$listdec[$tempng][]=$keyl;}
+		list($tempng)=mysql_fetch_row($res); #foreach ($sindseggio as $keyl=>$vall) echo "<br> listdecseggi: $keyl - $vall - $tempng";
+		if (isset($sindseggio[$tempng])) {$listdec[$tempng][]=$keyl;}
+#		if (in_array($tempng,$sindseggio)) {$listdec[$tempng][]=$keyl;}
 } 
 }
@@ -573,12 +574,12 @@
 ####cerca ultimo seggio assegnato per gruppo di liste collegate al primo turno
 	foreach ($seggimag as $key2=>$val2){ if($val2==0) continue;
-	if($arposiz=array_search($key2,$sindseggio)) {
-foreach($listdec[$key2] as $ark=>$arv) {
-		if(!isset($ultquoz[($sindseggio[$key2])]) and $sindseggio[$key2]) {$ultquoz[($sindseggio[$key2])]=$quozienti[$arv][($val2-1)];$lastlist[($sindseggio[$key2])]=$arv;}
-		elseif ($ultquoz[($sindseggio[$key2])]>$quozienti[$arv][($val2-1)]) {$ultquoz[($sindseggio[$key2])]=$quozienti[$arv][($val2-1)];$lastlist[($sindseggio[$key2])]=$arv;
+	if(isset($grpinc[$key2])) { $tempng=$grpinc[$key2];}
+if(isset($listdec[$tempng]))
+foreach($listdec[$tempng] as $ark=>$arv) {
+		if(!isset($ultquoz[($sindseggio[$tempng])]) and $sindseggio[$tempng]) {$ultquoz[($sindseggio[$tempng])]=$quozienti[$arv][($val2-1)];$lastlist[$tempng]=$arv;}
+		elseif ($ultquoz[($sindseggio[$tempng])]>$quozienti[$arv][($val2-1)]) {$ultquoz[($sindseggio[$tempng])]=$quozienti[$arv][($val2-1)];$lastlist[($sindseggio[$tempng])]=$arv;
 		}
 	}} 
 
-	}
  	foreach ($seggimag as $key2=>$val2){ 
 	## condizione per esclusione di un seggio da destinare al sindaco non eletto    in_array($key2,$lastlist)
Index: trunk/client/modules/Elezioni/crea_pagina.php
===================================================================
--- trunk/client/modules/Elezioni/crea_pagina.php	(revision 224)
+++ trunk/client/modules/Elezioni/crea_pagina.php	(revision 225)
@@ -32,5 +32,5 @@
 if ($xls==1) {
 	$nomefile=strip_tags(str_replace(" ", "_", $datipdf).".xls");
-
+#	$nomefile=$_SESSION['nomefile'].".xls";
 	header ("Content-Type: application/vnd.ms-excel");
 	header ("Content-Disposition: inline; filename=$nomefile");
@@ -250,4 +250,5 @@
 		$style .="</td></tr></table>";
 		$nomefile=strip_tags($datipdf).".pdf";
+#		$nomefile=$_SESSION['nomefile'].".pdf";
 		$nomefile=str_replace(" ", "_",$nomefile);
 		// conversion HTML => PDF
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 224)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 225)
@@ -79,5 +79,6 @@
 	global $prefix, $dbi, $descr_cons, $id_cons, $id_cons_gen,$tipo_cons,$votog,$votol,$votoc,$circo, $genere,$id_gruppo,$id_lista,$bgcolor1,$bgcolor2,$id_comune,$descr_comune,$id_circ;
 	global $id_comune,$id_cons_gen,$op,$minsez,$id_lista,$id_circ,$csv,$min,$orienta,$formato,
-	$orvert,$offset,$offsetsez,$perc,$info,$files;
+	$orvert,$offset,$offsetsez,$perc,$info,$files,$nomefile;
+	$nomefile="";
 	#Denominazione pagine
 	if($op=="gruppo_circo") $pagina=_GRUPPO." "._PER." "._CIRCO;
@@ -406,4 +407,5 @@
 					$res_lis2 = mysql_query("SELECT num_lista, descrizione from ".$prefix."_ele_lista where id_lista=$id_lista",$dbi);
 					list($num_lista2,$descr_lista2)= mysql_fetch_row($res_lis2);
+					$nomefile=" Lista n. $num_lista2 - $descr_lista2 ";
 					$list2 .=" Lista n. $num_lista2 - $descr_lista2 <br/>";
 				
@@ -416,6 +418,7 @@
 
 				}else{ $list2 .='';$list3='';}
-
-			      
+				if(!isset($tab15)) $tab15='';
+			        $nomefile.="$descr_cons $tab15";
+			        $_SESSION['nomefile']=strip_tags(str_replace(" ", "_", $nomefile));
 				$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
 			
@@ -451,5 +454,5 @@
 				echo "<input type=\"hidden\" name=\"pdf\" value=\"1\"></input>";
 				echo "<input type=\"hidden\" name=\"datipdf\" value=\"$datipdf\"></input>";
-				echo "<input type=\"hidden\" name=\"name\" value=\"$elezioni\"></input>";			
+#				echo "<input type=\"hidden\" name=\"name\" value=\"$elezioni\"></input>";			
 				echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>";
 
@@ -573,4 +576,5 @@
 					}
 					foreach ($valar as $key=>$val){
+						if(isset($votitot[($key)]))
 							$percar[$key]=arrayperc($val,$votitot[($key)]);
 						}
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 224)
+++ trunk/client/modules/Elezioni/index.php	(revision 225)
@@ -964,5 +964,5 @@
 	$res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ",$dbi);
 	$sezioni=mysql_num_rows($res);
-	$res = mysql_query("select chiusa  from ".$prefix."_ele_cons_comuni where id_cons='$id_cons' $circos ",$dbi);
+	$res = mysql_query("select chiusa  from ".$prefix."_ele_cons_comune where id_cons='$id_cons' $circos ",$dbi);
 	$chiusa=mysql_num_rows($res);
 	if ($numero!=0 and $chiusa==0) 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 224)
+++ trunk/client/versione.php	(revision 225)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 224";
+$versione="2.0 rev 225";
 ?> 