Index: trunk/client/modules/Elezioni/blocchi/02_risultati.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/02_risultati.php	(revision 225)
+++ trunk/client/modules/Elezioni/blocchi/02_risultati.php	(revision 228)
@@ -15,5 +15,5 @@
 
 
-if($genere!='0' && !$circo){ // referendum e circoscrizionali
+if($genere!='0'){ // referendum e circoscrizionali
     list ($gruppo,$pro)=grupporss();
     if ($gruppo!='')echo "<h5>Risultati </h5>";
Index: trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- trunk/client/modules/Elezioni/funzioni.php	(revision 225)
+++ trunk/client/modules/Elezioni/funzioni.php	(revision 228)
@@ -256,5 +256,5 @@
 	  if($genere=='4' || $votog) $tab="ele_voti_lista";
 	  else $tab="ele_voti_gruppo";
-	
+	  if($id_circ and !$circondt1) $circondt1="and t1.id_circ=$id_circ"; 
       
   
@@ -264,38 +264,29 @@
 	$res = mysql_query("select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1",$dbi);
 	if ($res) $sezioni=mysql_num_rows($res);else $sezioni=0;
-	
 	if ($numero>0){
 		if ($genere!=0){
 			$restotv = mysql_query("select sum(voti)  from ".$prefix."_$tab where id_cons='$id_cons' ",  $dbi);
 			list($tot)  = mysql_fetch_row($restotv);
-			
 			$i=0;
 			// lista o gruppo
 			if ($genere!=4){
-			         
 				if ($votog){
-				
-				$res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
-				from ".$prefix."_ele_gruppo as t1,
-				".$prefix."_ele_voti_lista as t2,
-				".$prefix."_ele_lista as t3
-        			where 	t1.id_cons='$id_cons'
-				and t2.id_lista=t3.id_lista
-				and t1.id_gruppo=t3.id_gruppo
-				group by t1.id_gruppo
-				order by somma desc", $dbi);$cosa='id_gruppo';
-				
+					$res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+					from ".$prefix."_ele_gruppo as t1,
+					".$prefix."_ele_voti_lista as t2,
+					".$prefix."_ele_lista as t3
+						where 	t1.id_cons='$id_cons'
+					and t2.id_lista=t3.id_lista
+					and t1.id_gruppo=t3.id_gruppo
+					group by t1.id_gruppo
+					order by somma desc", $dbi);
 				}else{
-				
-			
 			        $res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
-				from ".$prefix."_ele_gruppo as t1
-        			left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
-				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
-				group by t2.id_gruppo
-				order by somma desc", $dbi);$cosa='id_gruppo';
-			       }
-			
-			
+					from ".$prefix."_ele_gruppo as t1
+        			left join ".$prefix."_ele_voti_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo)
+					where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
+					group by t2.id_gruppo
+					order by somma desc", $dbi);
+			    }
 			}else{
 				$res = mysql_query("select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
@@ -304,9 +295,6 @@
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons
 				group by t2.id_lista
-				order by somma desc", $dbi);$cosa='id_lista';
+				order by somma desc", $dbi);
 			}
-
-		
-					
 				$gruppinum=mysql_num_rows($res);
 				$altrivoti=0;
@@ -316,50 +304,25 @@
 				$arvaltot=0;
 				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
-				$arval[$id]=$voti;
-				$arvaltot+=$voti;
+					$arval[$id]=$voti;
+					$arvaltot+=$voti;
 				}
 				$arperc=arrayperc($arval,$arvaltot);
 				mysql_data_seek($res,0);
-######
 				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
-
-				
-				
-				// funz per il taglio corretto della frase 13 feb 2007
-				
-				$descrizione=substr($descrizione,0,20);
-				$gruppo[$i]=ucwords(strtolower($descrizione));
-				
-				//if (strlen($descrizione)>25) $gruppo[$i].="...";
-				if ($tot!='' and $tot!='0')
-				$pro[$i]=number_format($voti*100/$tot,3);
-				$pro[$i]=number_format($arperc[$id],2); // arrotondamento
-				
-
-					
-				
-
-
-			
-		       
-			$i++;
+					// funz per il taglio corretto della frase 13 feb 2007
+					$descrizione=substr($descrizione,0,20);
+					$gruppo[$i]=ucwords(strtolower($descrizione));
+					if ($tot!='' and $tot!='0')
+					$pro[$i]=number_format($voti*100/$tot,3);
+					$pro[$i]=number_format($arperc[$id],2); // arrotondamento
+					$i++;
+				}
+		
+
+
+		
+		$titolo=""._PERCE." "._VOTIE."";
+		return array($gruppo,$pro);
 		}
-		
-
-
-		
-		$titolo=""._PERCE." "._VOTIE."";
-		
-		
-		
-
-		
-		
-
-		return array($gruppo,$pro);
-                
-               
-
-	  }
 
 	}