Index: trunk/admin/modules/Elezioni/ele_riepilogo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 249)
+++ trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 250)
@@ -51,5 +51,6 @@
 	$res = mysql_query("SELECT sum(voti_donne),sum(voti_uomini),sum(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and data='$giorno' and orario='$ora'", $dbi);
 	list($votf,$votm,$votc) = mysql_fetch_row($res);
-	$res = mysql_query("SELECT sum(solo_gruppo),sum(validi),sum(nulli),sum(bianchi),sum(contestati), sum(voti_nulli),sum(validi_lista),sum(voti_nulli_lista),sum(contestati_lista),sum(solo_lista) FROM ".$prefix."_ele_sezioni where id_cons=$id_cons", $dbi);
+if($genere!=0){	
+$res = mysql_query("SELECT sum(solo_gruppo),sum(validi),sum(nulli),sum(bianchi),sum(contestati), sum(voti_nulli),sum(validi_lista),sum(voti_nulli_lista),sum(contestati_lista),sum(solo_lista) FROM ".$prefix."_ele_sezioni where id_cons=$id_cons", $dbi);
 	list($sg,$validi,$nulli,$bianchi,$contestati,$votinulli,$validilista,$nullilista,$contestatilista,$sl)=mysql_fetch_row($res);
 	echo "<center>";
@@ -63,8 +64,29 @@
 	if ($votog) echo "<fieldset><legend>"._VOTI_LISTA."</legend>";
 	else echo "<fieldset><legend>"._GRUPPO."</legend>";
+	
 	echo "<table border=\"1\" width=\"100%\"><tr><th><b>"._VALIDI."</b></th><th>"._NULLI."</th><th>"._BIANCHI."</th><th>"._CONTESTATI."</th><th>"._VOTINULLI."</th><th>"._TOTNON."</th></TR>";
 	ECHO "<TR><TH>".number_format($validi,0,',','.')."</TH><TH>".number_format($nulli,0,',','.')."</TH><TH>".number_format($bianchi,0,',','.')."</TH><TH>".number_format($contestati,0,',','.')."</TH><TH>".number_format($votinulli,0,',','.')."</TH><TH>".number_format($totnulli,0,',','.')."</TH></TR></table><br/>";
-	ECHO "</fieldset><br/><br/><br/>";
-	
+		ECHO "</fieldset><br/><br/><br/>";
+	}else{
+	$res = mysql_query("SELECT sum(si),sum(no),sum(validi),sum(nulli),sum(bianchi),sum(contestati),id_gruppo FROM ".$prefix."_ele_voti_ref where id_cons='$id_cons' group by id_gruppo", $dbi);
+		while (list($si,$no,$validi,$nulli,$bianchi,$contestati,$idg) = mysql_fetch_row($res)){	
+			$resref = mysql_query("SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo='$idg'", $dbi);
+			list($numgruppo,$descrizione) = mysql_fetch_row($resref);
+			echo "<fieldset><legend>"._GRUPPO."N. $numgruppo - $descrizione</legend>";
+			echo "<table border=\"1\" width=\"100%\"><tr><th><b> "._SI." </b></th><th><b>"._NO."</b></th><th><b>"._VALIDI."</b></th><th>"._NULLI."</th><th>"._BIANCHI."</th><th>"._CONTESTATI."</th><th>"._TOTNON."</th></TR>";
+			ECHO "<TR><TH>".number_format($si,0,',','.')."</TH><TH>".number_format($no,0,',','.')."</TH><TH>".number_format($validi,0,',','.')."</TH><TH>".number_format($nulli,0,',','.')."</TH><TH>".number_format($bianchi,0,',','.')."</TH><TH>".number_format($contestati,0,',','.')."</TH><TH>".number_format($nulli+$bianchi+$contestati,0,',','.')."</TH></TR></table><br/>";
+		# votanti-------------- <th><b>"._GRUPPO."</b></th><th><b>"._DESCR."</b></th> --- <TH>".$numgruppo."</TH><TH>".$descrizione."</TH>
+			$resv = mysql_query("SELECT sum(voti_donne),sum(voti_uomini),sum(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and data='$giorno' and orario='$ora' and id_gruppo='$idg'", $dbi);
+			list($votf,$votm,$votc) = mysql_fetch_row($resv);
+
+			echo "<fieldset><legend>"._VOTANTI."</legend>";
+			echo "<table border=\"1\" width=\"100%\"><tr><th>"._ISCRITTI."</TH><TH>"._UOMINI."</TH><TH>"._DONNE."</TH><TH>"._VOTIU."</TH><TH>"._VOTID."</TH><TH>"._VOTIE."</TH></TR>";
+			ECHO "<TR><TH>".number_format($totel,0,',','.')."</TH><TH>".number_format($totm,0,',','.')."</TH><TH>".number_format($totf,0,',','.')."</TH><TH>".number_format($votm,0,',','.')."</TH><TH>".number_format($votf,0,',','.')."</TH><TH>".number_format($votc,0,',','.')."</TH></TR></table>";
+			ECHO "</fieldset><br/>";
+			ECHO "</fieldset><br/><br/><br/>";
+
+		#-----------			
+		}
+	}
 	
 	if ($genere==5 and !$votog) {
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 249)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 250)
@@ -1293,5 +1293,7 @@
 		."<td><b>"._CONTESTATI."</b></td>"
 		."<td><b>"._NULLI."</b></td>"
-		."<td><b>"._TOTNON."</b></td>";
+		."<td><b>"._TOTNON."</b></td>"
+		."<td><b>"._TOTALEVOTI."</b></td>"
+		."<td><b>"._VOTANTI."</b></td>";
 	}else{
 		echo "<td width=\"5%\"><b>"._VOTI."</b></td>";
@@ -1333,4 +1335,5 @@
         $pro['nulli']=(isset($pro['nulli']) and $pro['nulli']>=0) ? $pro['nulli']:'';
 		$tot_nulli=$pro['nulli']+$pro['bianchi']+$pro['contestati'];
+		$tot_voti=$pro['validi']+$tot_nulli;
 		echo "</td><td align=\"right\" width=\"3%\"><input  name=\"si$i\" value=\"".$pro['si']."\" size=\"7\"  style=\"text-align:right\"></td>";
 		echo "</td><td align=\"right\" width=\"3%\"><input  name=\"no$i\" value=\"".$pro['no']."\" size=\"7\"  style=\"text-align:right\"></td>";
@@ -1340,4 +1343,6 @@
 		echo "</td><td align=\"right\"><input  name=\"nul$i\" value=\"".$pro['nulli']."\" size=\"7\"  style=\"text-align:right\"></td>";
 		echo "</td><td align=\"right\">$tot_nulli</td>";
+		echo "</td><td align=\"right\">$tot_voti</td>";
+		echo "</td><td align=\"right\">$tot</td>";
 	}else{
 		echo "<tr style=\"background-color: $bgcolor2; text-align:center\"><td align=\"center\"><input type=\"hidden\" name=\"id_gruppo$i\" value=\"$id_gruppo\"><b>$num_gruppo</b>"
Index: trunk/admin/temi/altro/style.css
===================================================================
--- trunk/admin/temi/altro/style.css	(revision 249)
+++ trunk/admin/temi/altro/style.css	(revision 250)
@@ -197,4 +197,5 @@
 	padding: 0px;
 	color: #666666;
+	width: 100%;
 }
 .table-central {
Index: trunk/admin/temi/default/style.css
===================================================================
--- trunk/admin/temi/default/style.css	(revision 249)
+++ trunk/admin/temi/default/style.css	(revision 250)
@@ -203,4 +203,5 @@
 	padding: 0px;
 	color: #666666;
+	width: 100%;
 }
 .table-central {
Index: trunk/admin/temi/facebook/style.css
===================================================================
--- trunk/admin/temi/facebook/style.css	(revision 249)
+++ trunk/admin/temi/facebook/style.css	(revision 250)
@@ -263,5 +263,5 @@
 	color: #666666;
 	margin: auto;
-	width: 950px;
+	width: 100%;
 	
 	
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 249)
+++ trunk/admin/versione.php	(revision 250)
@@ -1,5 +1,5 @@
 <?php
 
-$versione = "2.0 rev 249";
+$versione = "2.0 rev 250";
 $version_number = $versione;
 $version = "Eleonline $version_number (<i>Data Release: 31 gennaio 2016</i>)";
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 249)
+++ trunk/client/versione.php	(revision 250)
@@ -1,5 +1,5 @@
 <?php
 
-$versione = "2.0 rev 249";
+$versione = "2.0 rev 250";
 $version_number = $versione;
 $version = "Eleonline $version_number (<i>Data Release: 31 gennaio 2016</i>)";