Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 257)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 258)
@@ -178,7 +178,7 @@
 		#controllo congruenza voti di gruppo
 		if($genere!=4){
-		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_cons='$id_cons'", $dbi);
+		$res3= mysql_query("SELECT sum(voti),sum(solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_cons='$id_cons'", $dbi);
 		if($res3 and !$votog){#$status=0;$ops=-4;
-			list($votigs) = mysql_fetch_row($res3);
+			list($votigs,$votisolog) = mysql_fetch_row($res3);
 			if($votigs  and $genere!=2) {  
 				#	$status=0;
@@ -186,6 +186,6 @@
 #					$res4 = mysql_query("$query", $dbi);
 #					list($votigs)=mysql_fetch_row($res4);
-					if($votigs>0) {
-						if (($votigs+$sololista)==$validi)
+					if($votigs>0||$sololista==$validi) {
+						if (($votigs+$sololista)==$validi && $votisolog==$sologruppo)
 							{$status=3;$ops=-3;$gru=1;}
 						else {$gru=-1; $stret=4;}
@@ -201,16 +201,16 @@
 #		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
 #			list($votil) = mysql_fetch_row($res3);
-					$tablg=$fascia<=$limite ? "gruppo":"lista";
-					$query="SELECT sum(voti) FROM ".$prefix."_ele_voti_$tablg where id_sez='$id_sez' and  id_cons='$id_cons'";	
+					$tablg=($fascia<=$limite && !$disgiunto) ? "gruppo":"lista";
+					$query="SELECT sum(voti),sum(solo_".$tablg.") FROM ".$prefix."_ele_voti_$tablg where id_sez='$id_sez' and  id_cons='$id_cons'";	
 					$res4 = mysql_query($query, $dbi);
-					list($votils)=mysql_fetch_row($res4);
+					list($votils,$votisolols)=mysql_fetch_row($res4);
 					$query="SELECT voti FROM ".$prefix."_ele_voti_$tablg where id_sez='$id_sez' and  id_cons='$id_cons'";	
 					$res4 = mysql_query($query, $dbi);
 					$sezscru=mysql_num_rows($res4);
 			if($sezscru) {
-					if($genere==4 or $votog) $contrlis= ($validilista+$sologruppo==$validi) ? 1:0;
+					if($genere==4 or $votog) $contrlis= ($votisolols==$sololista || $votisolols==0) ? 1:0;
 #################					
 				    else {$contrlis=($sologruppo+$validilista+$contestatilista+$votinullilista)==$validi  ? 1:0;
-if($contrlis and $disgiunto) $contrlis=$votinullilista==$sololista ? 1:0;
+if($contrlis and $disgiunto) $contrlis=($votisolols==$sololista  || $votisolols==0) ? 1:0; 
 }
 #################	
@@ -540,6 +540,6 @@
 function preferenze($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops){
  	global $aid, $prefix, $dbi, $id_lista,$genere,$id_cons_gen,$id_gruppo,$sezi,$circo,$votog,$votol,$votoc,$conscirc;
-global $tipo_cons,$limite,$dettnulli;
-
+global $tipo_cons,$limite; #,$dettnulli;
+$dettnulli=0;
 $bgcolor1="#7777ff";
 $bgcolor2=$_SESSION['bgcolor2'];
@@ -589,5 +589,5 @@
 			list($votisezcand)=mysql_fetch_row($result);
 			if((($fascia>$limite or $disgiunto) or !$id_conf) or $genere==4)
-                $result = mysql_query("SELECT voti,nulli_lista,0 from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_rif'", $dbi);
+                $result = mysql_query("SELECT voti,solo_lista,0 from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_rif'", $dbi);
             else{
 
@@ -621,10 +621,7 @@
 		$result = mysql_query("SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli,0,0,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
 else
-	if($tab=="_ele_voti_lista")
-		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,0,t1.nulli_lista from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez",$dbi);
-	else
-		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,solo_lista,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez",$dbi);
-
-// aggiunte le variabili $sgpl e $vnpl per la gestione dei voti 1) al solo presidente per singola lista - 2) al solo presidente per singola lista perché nullo o contestato quello di lista		
+		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,t2.solo_gruppo,t2.solo_lista from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez",$dbi);
+
+// aggiunte le variabili $sgpl e $vnpl per la gestione dei voti 1) al solo presidente per singola lista - 2) al solo presidente per singola lista perchÃ© nullo o contestato quello di lista		
 		list( $voti_sez, $validi2, $sg,$cont2,$vnulli2,$bia2,$nul2,$con2,$vnul2,$sgpl,$vnpl) = mysql_fetch_row($result);
 		$valista=$validi2;
@@ -680,5 +677,5 @@
 			."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VOTI."</b></td>";
 			if($dettnulli){
-			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._NULLI_LISTE."</b></td>";
+			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._SOLOLIS."</b></td>";
 			}
 		}
@@ -719,5 +716,5 @@
 			} 
 		}else {
-			$result1 = mysql_query("select t2.voti,t1.id_lista, descrizione,simbolo,num_lista,t2.nulli_lista 
+			$result1 = mysql_query("select t2.voti,t1.id_lista, descrizione,simbolo,num_lista,t2.solo_lista 
 			from ".$prefix."_ele_lista as t1, ".$prefix."_ele_voti_lista as t2
 			where t1.id_cons='$id_cons' 
@@ -824,5 +821,5 @@
 		$condizione="id_cand";
 	}else{
-		$condizione="id_lista";
+		$condizione="id_lista"; $dettnulli=0;
 	}
 	if ((($genere==3) OR ($genere==5)) and !$id_lista and !$votog and (($disgiunto or $fascia>$limite) or !$id_conf)) $y = (count($arg)-4);
@@ -838,5 +835,5 @@
 	for($i=8,$y--;$i< $y;$i++) {		
 		$voti = intval($arg[$i++]);
-		if($dettnulli and $condizione!="id_cand") {$vnpl = intval($arg[$i++]); $vnriga=",nulli_lista='$vnpl'"; $vnrigains=",'".$vnpl."'";} else {$vnriga=''; if ($condizione=="id_lista") $vnrigains=",'0'"; else $vnrigains="";}
+		if($dettnulli and $condizione!="id_cand") {$vnpl = intval($arg[$i++]); $vnriga=",solo_lista='$vnpl'"; $vnrigains=",'".$vnpl."'";} else {$vnriga=''; if ($condizione=="id_lista") $vnrigains=",'0'"; else $vnrigains="";}
 		$id_cand = intval($arg[$i]); 
 		$result = mysql_query("select * from ".$prefix."$tab where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand'", $dbi);
@@ -844,5 +841,5 @@
 
 		if ($ar){
-			if ($ar['voti']!=$voti or (isset($vnpl) and $ar['nulli_lista']!=$vnpl)) {
+			if ($ar['voti']!=$voti or (isset($vnpl) and $ar['solo_lista']!=$vnpl)) {
 				mysql_query("update  ".$prefix."$tab set voti='$voti'$vnriga where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand'", $dbi);
 				if ($fileout) fwrite($fp,"update  ".$prefix."$tab set voti='$voti' where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand';\n");
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 257)
+++ /trunk/admin/versione.php	(revision 258)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 257";
+$versione = "2.0 rev 258";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 28 aprile 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 04 maggio 2017</i>)";
 
 ?> 
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 257)
+++ /trunk/client/versione.php	(revision 258)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 257";
+$versione = "2.0 rev 258";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 28 aprile 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 04 maggio 2017</i>)";
 
 
Index: /trunk/install/sql/eleonline.sql
===================================================================
--- /trunk/install/sql/eleonline.sql	(revision 257)
+++ /trunk/install/sql/eleonline.sql	(revision 258)
@@ -964,5 +964,5 @@
   `id_sez` int(11) NOT NULL default '0',
   `voti` int(7) NOT NULL default '0',
-  `nulli_lista` INT( 7 ) NOT NULL DEFAULT '0',
+  `solo_lista` INT( 7 ) NOT NULL DEFAULT '0',
   KEY `cons` (`id_cons`),
   KEY `id_lista` (`id_lista`),
Index: /trunk/sql/aggiornamento-2.0_2017-04-28.sql
===================================================================
--- /trunk/sql/aggiornamento-2.0_2017-04-28.sql	(revision 257)
+++ /trunk/sql/aggiornamento-2.0_2017-04-28.sql	(revision 258)
@@ -1,1 +1,2 @@
+alter table `soraldo_ele_voti_lista` add column solo_lista int(7) default 0;
 ALTER TABLE `soraldo_ele_cons_comune` ADD COLUMN `disgiunto` enum('0', '1') NOT NULL default '0';