Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 259)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 260)
@@ -43,5 +43,5 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-global $votolista, $limite, $dettnulli;
+global $votolista, $limite, $dettnulli,$disgiunto;
 if(!isset($votolista)) $votolista=0;
 $res = mysql_query("SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" , $dbi);
@@ -50,6 +50,6 @@
 $res = mysql_query("SELECT count(id_circ) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
 list($num_circ)=mysql_fetch_row($res);
-$res = mysql_query("SELECT solo_gruppo FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
-list($dettnulli)=mysql_fetch_row($res);
+$res = mysql_query("SELECT solo_gruppo,disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
+list($dettnulli,$disgiunto)=mysql_fetch_row($res);
 if ($conscirc){  // or $num_circ==1
 	if (!$id_circ){
@@ -80,5 +80,5 @@
 
 function stato_rilevazione($id_sez,$solosede){
-global $id_cons, $prefix, $dbi, $id_cons_gen,$status,$genere,$votol, $votog, $votoc,$idrefgruppo,$num_ril,$circo;
+global $id_cons, $prefix, $dbi, $id_cons_gen,$status,$genere,$votol, $votog, $votoc,$idrefgruppo,$num_ril,$circo,$dettnulli;
 
 if($idrefgruppo and $genere==0) $perref= "and id_gruppo='$idrefgruppo'";
@@ -187,5 +187,5 @@
 #					list($votigs)=mysql_fetch_row($res4);
 					if($votigs>0||$sololista==$validi) {
-						if (($votigs+$sololista)==$validi && $votisolog==$sologruppo)
+						if (($votigs+$sololista)==$validi && (!$votisolog || $votisolog==$sologruppo))
 							{$status=3;$ops=-3;$gru=1;}
 						else {$gru=-1; $stret=4;}
@@ -231,5 +231,5 @@
 							if($res4) list($testpref)=mysql_fetch_row($res4); else $testpref=0;
 							while(list($testlista)=mysql_fetch_row($res3)){
-								if($fascia<=$limite)
+								if($fascia<=$limite or $disgiunto or $dettnulli)
 								{
 									$res4= mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_lista='$testlista'", $dbi);
@@ -540,6 +540,6 @@
 function preferenze($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops){
  	global $aid, $prefix, $dbi, $id_lista,$genere,$id_cons_gen,$id_gruppo,$sezi,$circo,$votog,$votol,$votoc,$conscirc;
-global $tipo_cons,$limite; #,$dettnulli;
-$dettnulli=0;
+global $tipo_cons,$limite,$dettnulli,$disgiunto;
+
 $bgcolor1="#7777ff";
 $bgcolor2=$_SESSION['bgcolor2'];
@@ -676,5 +676,7 @@
 			echo "<td bgcolor=\"$bgcolor1\" align=\"left\"><b>"._DESCR."</b></td>"
 			."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VOTI."</b></td>";
-			if($dettnulli){
+			if($dettnulli && !$disgiunto)
+			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._NULLI_LISTE."</b></td>";
+			if($disgiunto){
 			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._SOLOLIS."</b></td>";
 			}
@@ -716,5 +718,5 @@
 			} 
 		}else {
-			$result1 = mysql_query("select t2.voti,t1.id_lista, descrizione,simbolo,num_lista,t2.solo_lista 
+			$result1 = mysql_query("select t2.voti,t1.id_lista, descrizione,simbolo,num_lista,t2.nulli_lista,t2.solo_lista 
 			from ".$prefix."_ele_lista as t1, ".$prefix."_ele_voti_lista as t2
 			where t1.id_cons='$id_cons' 
@@ -724,9 +726,9 @@
 			$num_lista=mysql_num_rows($result1);
 			if (!$num_lista){
-				$result1 = mysql_query("select '',t1.id_lista, descrizione,simbolo,num_lista
+				$result1 = mysql_query("select '',t1.id_lista, descrizione,simbolo,num_lista,'',''
 				from ".$prefix."_ele_lista as t1 where t1.id_cons='$id_cons' $circo
 				order by t1.num_lista", $dbi);
 			}
-			while (list($pro['voti'],$id_lista3,$descr_lista,$simb_lista,$num_lista,$vnpl)=mysql_fetch_row($result1)){
+			while (list($pro['voti'],$id_lista3,$descr_lista,$simb_lista,$num_lista,$vnpl,$slpl)=mysql_fetch_row($result1)){
 				echo "<tr bgcolor=\"$bgcolor2\">";
 //				if ($genere<4 or $votoc){
@@ -737,7 +739,7 @@
 				$cond_sele="and id_lista=$id_lista3";
 				echo "<td align=\"right\"><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\">";
-
-				if($dettnulli) echo "</td><td align=\"right\"><input  name=\"vnpl$i\" value=\"".$vnpl."\" size=\"7\"  style=\"text-align:right\"><input type=\"hidden\" name=\"id_lista$i\" value=\"$id_lista3\"></td>";
-				else echo "<input type=\"hidden\" name=\"id_lista$i\" value=\"$id_lista3\"></td>";
+				if($dettnulli && !$disgiunto) echo "</td><td align=\"right\"><input  name=\"vnpl$i\" value=\"".$vnpl."\" size=\"7\"  style=\"text-align:right\">";
+				if($disgiunto) echo "</td><td align=\"right\"><input  name=\"slpl$i\" value=\"".$slpl."\" size=\"7\"  style=\"text-align:right\">";
+				echo "<input type=\"hidden\" name=\"id_lista$i\" value=\"$id_lista3\"></td>";
 //				echo "<td align=\"right\">$sgpl";
 				echo "</tr>\n";
@@ -797,5 +799,5 @@
 
 function rec_voti() {
-	global $prefix, $dbi,$aid,$id_cons,$ops,$genere,$votog,$fileout,$id_comune,$limite,$update,$dettnulli;
+	global $prefix, $dbi,$aid,$id_cons,$ops,$genere,$votog,$fileout,$id_comune,$limite,$update,$dettnulli,$disgiunto;
 	
 	$sqlcomu="select id_fascia,id_conf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
@@ -821,5 +823,5 @@
 		$condizione="id_cand";
 	}else{
-		$condizione="id_lista"; $dettnulli=0;
+		$condizione="id_lista"; 
 	}
 	if ((($genere==3) OR ($genere==5)) and !$id_lista and !$votog and (($disgiunto or $fascia>$limite) or !$id_conf)) $y = (count($arg)-4);
@@ -835,5 +837,8 @@
 	for($i=8,$y--;$i< $y;$i++) {		
 		$voti = intval($arg[$i++]);
-		if($dettnulli and $condizione!="id_cand") {$vnpl = intval($arg[$i++]); $vnriga=",solo_lista='$vnpl'"; $vnrigains=",'0','".$vnpl."'";} else {$vnriga=''; if ($condizione=="id_lista") $vnrigains=",'0','0'"; else $vnrigains="";}
+		$vnrigains=",'0'";
+		$vnriga='';
+		if($dettnulli && !$disgiunto and $condizione!="id_cand") {$vnpl = intval($arg[$i++]); $vnriga=",nulli_lista='$vnpl'"; $vnrigains=",'".$vnpl."'";} else {if (!($condizione=="id_lista")) $vnrigains="";}
+		if($disgiunto and $condizione!="id_cand") {$slpl = intval($arg[$i++]); $vnriga.=",solo_lista='$slpl'"; $vnrigains.=",'".$slpl."'";} else {$vnriga.=''; if ($condizione=="id_lista") $vnrigains.=",'0'"; else $vnrigains="";}
 		$id_cand = intval($arg[$i]); 
 		$result = mysql_query("select * from ".$prefix."$tab where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand'", $dbi);
@@ -841,5 +846,6 @@
 
 		if ($ar){
-			if ($ar['voti']!=$voti or (isset($vnpl) and $ar['solo_lista']!=$vnpl)) {
+#die("T1:$dettnulli -- T2:$disgiunto -- update  ".$prefix."$tab set voti='$voti'$vnriga where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand'");
+			if ($ar['voti']!=$voti or (isset($vnpl) and $ar['nulli_lista']!=$vnpl) or (isset($slpl) and $ar['solo_lista']!=$slpl)) {
 				mysql_query("update  ".$prefix."$tab set voti='$voti'$vnriga where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand'", $dbi);
 				if ($fileout) fwrite($fp,"update  ".$prefix."$tab set voti='$voti' where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand';\n");
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 259)
+++ trunk/admin/versione.php	(revision 260)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 259";
+$versione = "2.0 rev 260";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 04 maggio 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 24 maggio 2017</i>)";
 
 ?> 
Index: trunk/client/modules/Elezioni/foto.php
===================================================================
--- trunk/client/modules/Elezioni/foto.php	(revision 259)
+++ trunk/client/modules/Elezioni/foto.php	(revision 260)
@@ -22,24 +22,20 @@
 
 if ($id_lista){
-	$sql = "select * from ".$prefix."_ele_lista where id_lista='$id_lista'";
+	$sql = "select stemma from ".$prefix."_ele_lista where id_lista='$id_lista'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	$stemma = $dati['stemma'];
+	list($stemma) = mysql_fetch_row($res);
 }elseif ($id_gruppo){
-	$sql = "select * from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+	$sql = "select programma,stemma from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	if(isset($pdf)) $stemma = $dati['programma'];
-	else $stemma = $dati['stemma'];
+	list($programma,$stemma) = mysql_fetch_row($res);
+	if(isset($pdf)) $stemma = $programma;
 }elseif ($id_sede){
-	$sql = "select * from ".$prefix."_ele_sede where id_sede='$id_sede'";
+	$sql = "select mappa from ".$prefix."_ele_sede where id_sede='$id_sede'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	$stemma = $dati['mappa'];
+	list($stemma) = mysql_fetch_row($res);
 }elseif ($id_comune){
-	$sql = "select * from ".$prefix."_ele_comuni where id_comune='$id_comune'";
+	$sql = "select stemma from ".$prefix."_ele_comuni where id_comune='$id_comune'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	$stemma = $dati['stemma']; #die("qui:  $sql  $stemma");
+	list($stemma) = mysql_fetch_row($res);
 }else{
 die();
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 259)
+++ trunk/client/versione.php	(revision 260)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 259";
+$versione = "2.0 rev 260";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 04 maggio 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 24 maggio 2017</i>)";
 
 
Index: trunk/install/sql/eleonline.sql
===================================================================
--- trunk/install/sql/eleonline.sql	(revision 259)
+++ trunk/install/sql/eleonline.sql	(revision 260)
@@ -964,4 +964,5 @@
   `id_sez` int(11) NOT NULL default '0',
   `voti` int(7) NOT NULL default '0',
+  `nulli_lista` INT( 7 ) NOT NULL DEFAULT '0',
   `solo_lista` INT( 7 ) NOT NULL DEFAULT '0',
   KEY `cons` (`id_cons`),
Index: trunk/sql/aggiornamento-2.0_2017-04-28.sql
===================================================================
--- trunk/sql/aggiornamento-2.0_2017-04-28.sql	(revision 259)
+++ trunk/sql/aggiornamento-2.0_2017-04-28.sql	(revision 260)
@@ -1,2 +1,3 @@
-alter table `soraldo_ele_voti_lista` add column solo_lista int(7) default 0;
+alter table `soraldo_ele_voti_lista` add column `solo_lista` int(7) default 0;
 ALTER TABLE `soraldo_ele_cons_comune` ADD COLUMN `disgiunto` enum('0', '1') NOT NULL default '0';
+alter table `soraldo_ele_voti_lista` add column `nulli_lista` int(7) default 0 after `voti`;